%global momorel   5
%global emacsver  22.0.50
%global xemacsver 21.4
%global apelver   10.6-5m
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: FLIM - a library to provide basic features about message representation or encoding
Name: elisp-flim
Version: 1.14.7
Release: %{momorel}m
License: GPL
Group: Applications/Editors
%NoSource 0 ftp://ftp.m17n.org/pub/mule/flim/flim-1.14/flim-%{version}.tar.gz e32430eced7e244c4049f15e2cdd481b
URL: http://cvs.m17n.org/elisp/FLIM/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
Requires: emacsen
Obsoletes: elisp-limit

%description
FLIM is a library to provide basic features about message representation
or encoding.

%package -n flim-emacs
Group: Applications/Editors
Summary: FLIM - a library to provide basic features about message representation or encoding - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Provides: limit-emacs, slim-emacs
Obsoletes: limit-emacs, slim-emacs

%description -n flim-emacs
FLIM is a library to provide basic features about message representation
or encoding.

%package -n flim-xemacs
Group: Applications/Editors
Summary: FLIM - a library to provide basic features about message representation or encoding - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo
Requires: apel-xemacs >= %{apelver}
Provides: limit-xemacs, slim-xemacs
Obsoletes: limit-xemacs, slim-xemacs

%description -n flim-xemacs
FLIM is a library to provide basic features about message representation
or encoding.

%prep
%setup -q -n flim-%{version}

%build
rm -rf %{buildroot}
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp \
  install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS FLIM-API.en README.* VERSION
%doc tests

%files -n flim-emacs
%defattr(-,root,root)
%{e_sitedir}/flim
#%%{_datadir}/emacs/%{emacsver}/site-lisp/flim

%files -n flim-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/flim

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.7-5m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.7-4m)
- rebuild against emacs 22.0.50

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.7-3m)
- use %%{sitepdir}.

* Sat Jan 29 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.7-2m)
- Obsoletes: elisp-limit

* Tue Jan 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.7-1m)
- replaces elisp-limit
